Skip to content
Pile
Esc
navigateopen⌘Jpreview

Create issue approval

POST/workspaces/{organizationId}/issues/{issueId}/approvals
Path parameters
organizationIdstringrequired
issueIdstringrequired
Request body
application/json
approverIdstringrequired
commentstring
Responses
201Approval requested
idstringrequired
organizationIdstringrequired
issueIdstringrequired
requestedByIdstringrequired
approverIdstringrequired
statusstringrequired
Allowed:pendingapprovedrejected
commentstring | nullrequired
createdAtstringrequired
resolvedAtstring | nullrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST "/workspaces/string/issues/string/approvals" \
  -H "Content-Type: application/json" \
  -d '{
  "approverId": "string",
  "comment": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "issueId": "string",
  "requestedById": "string",
  "approverId": "string",
  "status": "pending",
  "comment": "string",
  "createdAt": "string",
  "resolvedAt": "string"
}